@import url("https://fonts.googleapis.com/css2?family=Source+Sans+3:wght@400;700&display=swap");

main > .container {
  padding: 70px 15px 20px;
}

.footer {
  background-color: #f5f5f5;
  font-size: 0.9em;
}

.footer > .container {
  padding-right: 15px;
  padding-left: 15px;
}

.not-set {
  color: #c55;
  font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after,
a.desc:after {
  content: "";
  left: 3px;
  display: inline-block;
  width: 0;
  height: 0;
  border: solid 5px transparent;
  margin: 4px 4px 2px 4px;
  background: transparent;
}

a.asc:after {
  border-bottom: solid 7px #212529;
  border-top-width: 0;
}

a.desc:after {
  border-top: solid 7px #212529;
  border-bottom-width: 0;
}

.grid-view th {
  white-space: nowrap;
}

.hint-block {
  display: block;
  margin-top: 5px;
  color: #999;
}

.error-summary {
  color: #a94442;
  background: #fdf7f7;
  border-left: 3px solid #eed3d7;
  padding: 10px 20px;
  margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
  padding-top: 7px;
  color: rgba(255, 255, 255, 0.5);
}

@media (max-width: 767px) {
  .nav li > form > button.logout {
    display: block;
    text-align: left;
    width: 100%;
    padding: 10px 0;
  }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
  text-decoration: none;
  color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
  outline: none;
}

/* CUSTOMIZE BY AMAL KARIM (DESAINER: DANU RAHMAN) */
html,
body {
  font-family: "Source Sans 3", sans-serif;
}
.alert.alert-dismissible {
  position: absolute;
  width: 100%;
  z-index: 1030;
  top: 100px;
}
.navbar-registration > .container {
  display: grid;
  grid-template-columns: 1fr auto;
}
.navbar-brands {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.navbar-brand-logo {
  height: 40px;
}
.navbar-brand-element {
  height: 20px;
}
.navbar-brand-text {
  font-size: 16px;
}
.body-registration {
  background: url(../images/leaves_bg.jpg);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
.registrant-create {
  max-width: 1000px;
  margin: 0 auto;
}
.registrant-create > h1 {
  font-size: 26px;
  font-weight: bold;
  text-align: center;
  color: white;
  margin-top: 30px;
  margin-bottom: 30px;
}
.registrant-form {
  background: white;
  padding: 15px 20px;
  border-radius: 10px;
  box-shadow: rgb(0 0 0 / 20%) 0px 12px 28px 0px, rgb(0 0 0 / 10%) 0px 2px 4px 0px, rgb(255 255 255 / 5%) 0px 0px 0px 1px inset;
}

.video-container {
  position: relative;
  width: 100%;
  background: #111;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: white 0 0 0 10px, rgb(0 0 0 / 20%) 0px 12px 28px 0px, rgb(0 0 0 / 10%) 0px 2px 4px 0px, rgb(255 255 255 / 5%) 0px 0px 0px 1px inset;
}
.video-player {
  width: 70%;
  margin-bottom: -5px;
}

.jumbotron {
  position: relative;
}
.logo-element-home {
  position: absolute;
  height: 23px;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
}
.index-content-registration {
  padding-left: 32px;
  padding-right: 32px;
  text-align: center;
}
.event-link {
  display: block;
  box-shadow: rgb(0 0 0 / 20%) 0px 12px 28px 0px, rgb(0 0 0 / 10%) 0px 2px 4px 0px, rgb(255 255 255 / 5%) 0px 0px 0px 1px inset;
}

.footer-registration {
  background-color: transparent;
  color: #ffffffcc;
  font-size: 0.9em;
}

/* custom buat _form-multiple */
.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__choice {
  display: block;
  text-overflow: ellipsis;
  overflow: hidden;
  max-width: 95%;
}

@media (max-width: 991.5px) {
  .video-player {
    width: 80%;
  }
}
@media (max-width: 767.5px) {
  .navbar-brand-element {
    height: 16px;
  }
  .navbar-brand-text {
    font-size: 16px;
  }
  .video-player {
    width: 100%;
  }
}
@media (max-width: 575.5px) {
  .jumbotron {
    padding-bottom: 4rem;
  }
}
